{% extends 'base.html.twig' %}

{% block content %}
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <h1>{{ 'user.reset.password'|trans }}</h1>
                {{ form_start(form) }}

                {% form_theme form 'form/form_errors.html.twig' %}
                {{ form_errors(form) }}

                {{ form_row(form._username) }}

                <div class="g-recaptcha" data-sitekey="{{ captchakey }}"></div>
                <br />

                <input type="hidden" name="token" value="{{ csrf_token('authentication') }}"/>
                {# the argument of csrf_token() is an arbitrary string used to generate the token #}

                <button type="submit" class="btn btn-default btn-primary btn-block" formnovalidate>
                    {{ 'user.reset.password'|trans }}
                </button>
                {{ form_end(form) }}

            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src='//www.google.com/recaptcha/api.js?hl={{ locale }}'></script>
{% endblock %}